This is an automated email from the ASF dual-hosted git repository.

naraj pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/mynewt-nimble.git


The following commit(s) were added to refs/heads/master by this push:
     new bb3de03  porting: Add a script to automatically update generated files
bb3de03 is described below

commit bb3de036fba2c06c4ef7a14833201f0238b92043
Author: MichaƂ Narajowski <[email protected]>
AuthorDate: Thu Feb 27 14:48:50 2020 +0100

    porting: Add a script to automatically update generated files
    
    Updating these files requires some manual work so no one is actually
    doing it when they add new features. This script may improve this
    situation or at least serve as a documentation of this "feature".
---
 porting/examples/linux/include/syscfg/syscfg.h     |  4 +++
 .../examples/linux_blemesh/include/syscfg/syscfg.h |  4 +++
 porting/nimble/include/syscfg/syscfg.h             |  4 +++
 porting/update_generated_files.sh                  | 36 ++++++++++++++++++++++
 4 files changed, 48 insertions(+)

diff --git a/porting/examples/linux/include/syscfg/syscfg.h 
b/porting/examples/linux/include/syscfg/syscfg.h
index 1b38d76..6e34cb8 100644
--- a/porting/examples/linux/include/syscfg/syscfg.h
+++ b/porting/examples/linux/include/syscfg/syscfg.h
@@ -384,6 +384,10 @@
 #define MYNEWT_VAL_BLE_PERIODIC_ADV (0)
 #endif
 
+#ifndef MYNEWT_VAL_BLE_PERIODIC_ADV_SYNC_TRANSFER
+#define MYNEWT_VAL_BLE_PERIODIC_ADV_SYNC_TRANSFER (0)
+#endif
+
 #ifndef MYNEWT_VAL_BLE_ROLE_BROADCASTER
 #define MYNEWT_VAL_BLE_ROLE_BROADCASTER (1)
 #endif
diff --git a/porting/examples/linux_blemesh/include/syscfg/syscfg.h 
b/porting/examples/linux_blemesh/include/syscfg/syscfg.h
index fcb5b54..dcacad4 100644
--- a/porting/examples/linux_blemesh/include/syscfg/syscfg.h
+++ b/porting/examples/linux_blemesh/include/syscfg/syscfg.h
@@ -385,6 +385,10 @@
 #define MYNEWT_VAL_BLE_PERIODIC_ADV (0)
 #endif
 
+#ifndef MYNEWT_VAL_BLE_PERIODIC_ADV_SYNC_TRANSFER
+#define MYNEWT_VAL_BLE_PERIODIC_ADV_SYNC_TRANSFER (0)
+#endif
+
 #ifndef MYNEWT_VAL_BLE_ROLE_BROADCASTER
 #define MYNEWT_VAL_BLE_ROLE_BROADCASTER (1)
 #endif
diff --git a/porting/nimble/include/syscfg/syscfg.h 
b/porting/nimble/include/syscfg/syscfg.h
index 2e28984..0b2ee41 100644
--- a/porting/nimble/include/syscfg/syscfg.h
+++ b/porting/nimble/include/syscfg/syscfg.h
@@ -383,6 +383,10 @@
 #define MYNEWT_VAL_BLE_PERIODIC_ADV (0)
 #endif
 
+#ifndef MYNEWT_VAL_BLE_PERIODIC_ADV_SYNC_TRANSFER
+#define MYNEWT_VAL_BLE_PERIODIC_ADV_SYNC_TRANSFER (0)
+#endif
+
 #ifndef MYNEWT_VAL_BLE_ROLE_BROADCASTER
 #define MYNEWT_VAL_BLE_ROLE_BROADCASTER (1)
 #endif
diff --git a/porting/update_generated_files.sh 
b/porting/update_generated_files.sh
new file mode 100755
index 0000000..c01dddd
--- /dev/null
+++ b/porting/update_generated_files.sh
@@ -0,0 +1,36 @@
+#!/usr/bin/env bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#  http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+if [ ! -f "project.yml" ]; then
+    echo "This script should be executed from project root directory"
+    exit 1
+fi
+
+declare -A targets=(
+    ["linux"]="repos/apache-mynewt-nimble/porting/examples/linux/"
+    
["linux_blemesh"]="repos/apache-mynewt-nimble/porting/examples/linux_blemesh/"
+    ["porting_default"]="repos/apache-mynewt-nimble/porting/nimble"
+    ["riot"]="repos/apache-mynewt-nimble/porting/npl/riot/"
+)
+
+for target in "${!targets[@]}"; do
+    echo "Updating target $target"
+    newt build "$target" > /dev/null 2>&1
+    cp "bin/@apache-mynewt-nimble/targets/${target}/generated/include" 
"${targets[$target]}" -r
+done

Reply via email to